using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATImporterConfiguration")]
[Index("Name", Name = "UK_ATImporterConfiguration_Name", IsUnique = true)]
public partial class AtimporterConfiguration
{
    [Key]
    public int Id { get; set; }

    [StringLength(64)]
    public string Name { get; set; } = null!;

    [StringLength(512)]
    public string DocumentPath { get; set; } = null!;

    [StringLength(512)]
    public string ArchivePath { get; set; } = null!;

    [StringLength(512)]
    public string ErrorPath { get; set; } = null!;

    [StringLength(512)]
    public string LogPath { get; set; } = null!;

    public int LoopPauseMinutes { get; set; }

    public int LogRetentionDays { get; set; }

    [Column("LogFileMaxSizeMB")]
    public int LogFileMaxSizeMb { get; set; }

    public int CpuUsagePercentLimit { get; set; }

    [Column("MaxPDFSizeMB")]
    public int MaxPdfsizeMb { get; set; }

    public int CleanArchiveIntervalDays { get; set; }

    public bool IsActive { get; set; }
}
